Skip to main content

Get a payable register by ID

GEThttps://api.propexo.com/v1/payable-registers/:payable_register_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

payable_register_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the payable register

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 34634663
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: na
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    x_financial_account_idnullrequired

    The external ID of the financial account from the integration vendor

    Notice

    This field will always be null for YARDI

    Example: null
    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 2342-9934
    x_ap_financial_account_idstring | nullnullablerequired

    The external ID of the AP financial account from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 2342-1234
    x_vendor_idnullrequired

    The external ID of the vendor from the integration vendor

    Notice

    This field will always be null for YARDI

    Example: null
    x_batch_idnullrequired

    The external ID of the associated batch

    Notice

    This field will always be null for YARDI

    Example: null
    amount_due_in_centsnullrequired

    The amount due on the payable register, in cents

    Notice

    This field will always be null for YARDI

    Example: null
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid on the payable register, in cents

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 50000
    custom_data object | nullrequired
    object
    due_datenullrequired

    The due date associated with the payable register

    Notice

    This field will always be null for YARDI

    Example: null
    discount_amount_in_centsnullrequired

    The discount, in cents, of the payable register

    Notice

    This field will always be null for YARDI

    Example: null
    discount_datenullrequired

    The date a discount was issued on payable register

    Notice

    This field will always be null for YARDI

    Example: null
    invoice_datestring | nullnullablerequired

    The date the payable register was issued

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 2014-09-05T00:00:00.000Z
    invoice_numberstring | nullnullablerequired

    The reference number for the payable register

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: cxp34657
    notesstring | nullnullablerequired

    Notes associated with the payable register

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: A string of data generally provided by the PMC
    post_datenullrequired

    The date the payable register was posted. Some PMS systems only show the month.

    Notice

    This field will always be null for YARDI

    Example: null
    post_monthstring | nullnullablerequired

    The month the payable register was posted.

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 2024-02-01T00:00:00.000Z
    post_status_rawnullrequired

    The raw post status associated with the payable register

    Notice

    This field will always be null for YARDI

    Example: null
    sub_total_amount_in_centsnullrequired

    The sub total amount of the payable register

    Notice

    This field will always be null for YARDI

    Example: null
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the payable register, in cents

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 87500
    statusstring | nullnullablerequired

    The status associated with the payable register

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: Keyed
    is_unpaidboolean | nullnullablerequired

    Whether the payable register is unpaid or not

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: true
    is_adjustmentboolean | nullnullablerequired

    Whether the payable register is an adjustment or not

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    is_credit_memoboolean | nullnullablerequired

    Whether the payable register is a credit memo or not

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    is_exempt_from_1099boolean | nullnullablerequired

    Whether the payable register is exempt from a 1099 or not

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    display_typestring | nullnullablerequired

    The display type of the payable register

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: Invoice
    expense_typestring | nullnullablerequired

    The expense type of the payable register

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: Operating
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idnullrequired

    The Propexo unique identifier for the financial account

    Notice

    This field will always be null for YARDI

    Example: null
    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-9934
    ap_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the ap financial account

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-1234
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
    payable_register_items object[]required

    The payable register list items associated with the payable register

  • Array [
  • x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 63a84f9142efdb89104a54ddabcd63554498c7db4e80ed82e0c1742af8de23423235
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: nweghwz
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    x_gl_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 2342-9934
    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 2342-9934
    payable_register_idstringrequired

    The Propexo unique identifier for the payable register

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: clwqjbpr8000008kz8h5g2ka4:abcdefg:89798794
    construction_job_idstring | nullnullablerequired

    The Propexo unique identifier for the construction job

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: cl8k2nqwe0014jsxq9ab1c2dr
    amount_due_in_centsnullrequired

    The amount due on the payable register item, in cents

    Notice

    This field will always be null for YARDI

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the payable register item

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: A string of data about the invoice, generally added by the PMC
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the payable register item, in cents

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: 80000
    cost_codestring | nullnullablerequired

    The cost code of the payable register item

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: Equ
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-9934
    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    InterfaceMethod
    Vendor InvoicingGetInvoiceRegister
    Example: clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-9934
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/payable-registers/:payable_register_id
curl https://api.propexo.com/v1/payable-registers/:payable_register_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "34634663",
"x_property_id": "na",
"x_location_id": null,
"x_financial_account_id": null,
"x_cash_financial_account_id": "2342-9934",
"x_ap_financial_account_id": "2342-1234",
"x_vendor_id": null,
"x_batch_id": null,
"amount_due_in_cents": null,
"amount_paid_in_cents": 50000,
"custom_data": "Unknown Type: object,null",
"due_date": null,
"discount_amount_in_cents": null,
"discount_date": null,
"invoice_date": "2014-09-05T00:00:00.000Z",
"invoice_number": "cxp34657",
"notes": "A string of data generally provided by the PMC",
"post_date": null,
"post_month": "2024-02-01T00:00:00.000Z",
"post_status_raw": null,
"sub_total_amount_in_cents": null,
"total_amount_in_cents": 87500,
"status": "Keyed",
"is_unpaid": true,
"is_adjustment": true,
"is_credit_memo": true,
"is_exempt_from_1099": true,
"display_type": "Invoice",
"expense_type": "Operating",
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": "clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-9934",
"ap_financial_account_id": "clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-1234",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"payable_register_items": [
{
"x_id": "63a84f9142efdb89104a54ddabcd63554498c7db4e80ed82e0c1742af8de23423235",
"x_property_id": "nweghwz",
"x_location_id": null,
"x_gl_account_id": "2342-9934",
"x_cash_financial_account_id": "2342-9934",
"payable_register_id": "clwqjbpr8000008kz8h5g2ka4:abcdefg:89798794",
"construction_job_id": "cl8k2nqwe0014jsxq9ab1c2dr",
"amount_due_in_cents": null,
"notes": "A string of data about the invoice, generally added by the PMC",
"total_amount_in_cents": 80000,
"cost_code": "Equ",
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-9934",
"cash_financial_account_id": "clwqjbpr8000008kz8h5g2ka4:abcdefg:2342-9934"
}
]
}
}